# This is a FSL conda recipe for:              fsl-swe
# The project git repository is:               https://git.fmrib.ox.ac.uk/fsl/swe.git
# The git repository for this conda recipe is: https://git.fmrib.ox.ac.uk/fsl/conda/fsl-swe.git

{% set name       = 'fsl-swe' %}
{% set version    = 'v1.0.3' %}
{% set repository = 'https://git.fmrib.ox.ac.uk/fsl/swe.git' %}
{% set build      = '1' %}

package:
  name:    {{ name    }}
  version: {{ version }}

source:
  # the FSLCONDA_REPOSITORY and FSLCONDA_REVISION
  # environment variables can be used to override
  # the repository/revision for development purposes.
  git_url: {{ os.environ.get("FSLCONDA_REPOSITORY", repository) }}
  git_rev: {{ os.environ.get("FSLCONDA_REVISION",   version)    }}

build:
  number: {{ build }}
  run_exports:
    strong:
      - {{ name }}


requirements:
  host:
    - fsl-base >=2101.5
    - fsl-armawrap >=0.4.1
    - fsl-cprob >=2006.0
    - fsl-miscmaths >=2010.0
    - fsl-newimage >=2011.0
    - fsl-newnifti >=3.0.6
    - fsl-utils >=2007.0
    - fsl-znzlib >=2012.0
  build:
    - {{ compiler("cxx") }}
    - make

